<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@40AEE5=09</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@40D225=07</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1">
    <script state="run">
      <action>maincpu.pb@40D283=02</action>
    </script>
  </cheat>

  <cheat desc="Maximum Fire Power PL1">
    <script state="run">
      <action>maincpu.pb@40D2A9=06</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bombs PL1">
    <script state="run">
      <action>maincpu.pb@40D29B=50</action>
    </script>
  </cheat>

  <cheat desc="Select Bomb PL1">
    <parameter>
      <item value="0x00">Fire Bomb</item>
      <item value="0x01">Blue Bomb</item>
      <item value="0x02">Green Bomb</item>
      <item value="0x03">Gold Bomb</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@40D2AB=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@40D227=07</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <script state="run">
      <action>maincpu.pb@40D2D3=02</action>
    </script>
  </cheat>

  <cheat desc="Maximum Fire Power PL2">
    <script state="run">
      <action>maincpu.pb@40D2F9=06</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bombs PL2">
    <script state="run">
      <action>maincpu.pb@40D2EB=50</action>
    </script>
  </cheat>

  <cheat desc="Select Bomb PL2">
    <parameter>
      <item value="0x00">Fire Bomb</item>
      <item value="0x00">Blue Bomb</item>
      <item value="0x00">Green Bomb</item>
      <item value="0x00">Gold Bomb</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@40D2FB=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Select Region"> <comment>After you enable this cheat to see any effect you will have to reset the game (F3). Then you may have to turn the Test Mode ON (F2), wait,  then reset again (F3).</comment>
    <parameter>
      <item value="0x01">Japan</item>
      <item value="0x02">US</item>
      <item value="0x03">World</item>
    </parameter>
    <script state="on">
      <action>temp0 =maincpu.mb@0FFFFF</action>
    </script>
    <script state="run">
      <action>maincpu.mb@0FFFFF=param</action>
    </script>
    <script state="off">
      <action>maincpu.mb@0FFFFF=temp0 </action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
